classification
Title: cache version selection for documentation
Type: enhancement Stage: needs patch
Components: Documentation Versions: Python 3.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: benjamin.peterson, docs@python, jj, terry.reedy
Priority: normal Keywords:

Created on 2014-08-24 23:33 by jj, last changed 2014-08-29 19:52 by terry.reedy. This issue is now closed.

Messages (5)
msg225847 - (view) Author: Jonas Jelten (jj) Date: 2014-08-24 23:33
The Python version selection for the documentation should be cached.
It's very annoying having to select the preferred version each time one follows a link, e.g. search result, irc post, etc.

I'd like to see caching the preferred version in a cookie and automatically switching to this python version when opening doc pages.
msg225849 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-08-24 23:37
I don't think that makes much sense. People often link to a particular version of the documentation and making the version "sticky" to a particular user could be confusing.
msg225850 - (view) Author: Jonas Jelten (jj) Date: 2014-08-24 23:39
it should rather be a opt-in feature. and when the redirection triggered, one should be able do click (you know it from wikipedia) back to page where one was redireced from.
msg225851 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-08-24 23:42
On Sun, Aug 24, 2014, at 16:39, Jonas Jelten wrote:
> 
> Jonas Jelten added the comment:
> 
> it should rather be a opt-in feature. and when the redirection triggered,
> one should be able do click (you know it from wikipedia) back to page
> where one was redireced from.

That would interact poorly with linking to particular sections with a #.
msg226070 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-08-29 19:52
I agree that this is a bad idea.

1. Cookies are generally a nuisance. I like the fact that docs.python.org is (apparently) cookie free and that python sites only use a few short-lived cookies. The complications you propose would be a nuisance to create and maintain.

2. Not too long ago, we created docs.python.org/2/ and /3/ so people can use generic links to the latest docs for the latest released version of either Python 2 or 3. The aim was to reduce the problem of links to stale docs. Both sets of docs have version added notes for changes within a series. Those two docs are not interchangeable and should not be automatically switched.

If someone links now to a fixed version of the docs, they are either ignorant of the new system *or* they have a purpose that should not be over-riden.

If someone quotes or paraphrases a portion of a page (which is a claim about what the page says) or otherwise makes a claim about Python, and posts a link as evidence of the claim, clicking the link should take one to the 'evidence', not one's preferred version.
History
Date User Action Args
2014-08-29 19:52:21terry.reedysetstatus: open -> closed

versions: - Python 3.1, Python 2.7, Python 3.2, Python 3.3, Python 3.4
nosy: + terry.reedy

messages: + msg226070
resolution: rejected
stage: needs patch
2014-08-24 23:42:25benjamin.petersonsetmessages: + msg225851
2014-08-24 23:39:51jjsetmessages: + msg225850
2014-08-24 23:37:38benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg225849
2014-08-24 23:33:46jjcreate